# FunctionThread.h File Reference

A set of classes to make it easier to perform asynchronous function processing. More...

`#include "SingleProducerConsumer.h"`
`#include "ThreadPool.h"`
`#include "RakMemoryOverride.h"`
`#include "Export.h"`

## Classes
class | RakNet::FunctionThread
class | RakNet::Functor
## Namespaces
namespace | RakNet
| Forward declaration.

## Detailed Description

A set of classes to make it easier to perform asynchronous function processing.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.